function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys, key, i;
    if (typeof Reflect !== "undefined" && Reflect.ownKeys) {
        sourceKeys = Reflect.ownKeys(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
        return target;
    }
    target = _object_without_properties_loose(source, excluded);
    if (Object.getOwnPropertySymbols) {
        sourceKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys = Object.getOwnPropertyNames(source), key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
    }
    return target;
}
import React from "react";
export var GroovyIcon = function(_0) {
    var _0_size = _0.size, size = _0_size === void 0 ? 24 : _0_size, props = _object_without_properties(_0, [
        "size"
    ]);
    return /*#__PURE__*/ React.createElement("svg", _object_spread_props(_object_spread({
        width: size,
        height: size
    }, props), {
        viewBox: "0 0 24 24",
        xmlns: "http://www.w3.org/2000/svg"
    }), /*#__PURE__*/ React.createElement("path", {
        d: "M12 1.88A10.119 10.119 0 0 0 1.881 12 10.119 10.119 0 0 0 12 22.119a10.119 10.119 0 0 0 10.119-10.12A10.119 10.119 0 0 0 12 1.882zm1.254 2.423c.91 0 1.647.26 2.213.78.571.517.857 1.188.857 2.013 0 .888-.319 1.672-.959 2.35-.64.676-1.376 1.015-2.207 1.015-.486 0-.89-.12-1.213-.357-.317-.238-.476-.532-.476-.881 0-.212.06-.399.181-.563.127-.164.274-.246.438-.246.159 0 .238.092.238.277 0 .164.06.291.182.381.122.09.261.135.42.135.423 0 .828-.289 1.215-.865.391-.582.587-1.202.587-1.863 0-.466-.151-.844-.453-1.135-.301-.296-.69-.446-1.166-.446-.714 0-1.406.319-2.078.954-.666.634-1.211 1.469-1.635 2.505-.417 1.032-.627 2.015-.627 2.946 0 .857.185 1.539.555 2.047.37.502.863.754 1.477.754 1.037 0 2.028-.734 2.974-2.2l1.493-.213c.185-.026.277.019.277.135 0 .053-.072.28-.215.682-.143.402-.337 1.074-.586 2.016.82-.477 1.455-1.004 1.904-1.58v.913c-.36.418-1.046.889-2.062 1.413-.212 1.407-.682 2.492-1.406 3.26-.725.772-1.54 1.16-2.444 1.16-.433 0-.774-.102-1.023-.303-.243-.201-.365-.478-.365-.832 0-.984.955-1.94 2.865-2.865a42.97 42.97 0 0 1 .586-1.928c-.333.481-.817.907-1.451 1.277-.635.37-1.225.555-1.77.555-.889 0-1.628-.384-2.22-1.15-.588-.773-.881-1.749-.881-2.928 0-1.243.333-2.42 1-3.532a7.747 7.747 0 0 1 2.625-2.673c1.084-.672 2.134-1.008 3.15-1.008zM12.03 16.49c-1.375.687-2.062 1.365-2.062 2.031 0 .354.169.533.508.533.666 0 1.184-.856 1.554-2.564z",
        fill: "#26c6da"
    }));
};
export default GroovyIcon;
